commit dd9f457caeb2693a3172380b5211982bba98124c
Author: Martin Liska <mliska@suse.cz>
Date:   Tue May 26 09:40:09 2020 +0200

    Add missing ChangeLog entries.

diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index ebebbe29e38..311cc43936d 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,20 @@
+2020-05-25  Jason Merrill  <jason@redhat.com>
+
+	PR c++/90749
+	* init.c (get_nsdmi): Don't push_to_top_level for a local class.
+
+2020-05-25  Jason Merrill  <jason@redhat.com>
+
+	PR c++/91529
+	* decl.c (cp_finish_decl): Also clear TREE_READONLY if
+	-fmerge-all-constants.
+
+2020-05-25  Jason Merrill  <jason@redhat.com>
+
+	PR c++/93822
+	* pt.c (tsubst_decl): Make sure DECL_VALUE_EXPR continues to have
+	the same type as the variable.
+
 2020-05-04  Marek Polacek  <polacek@redhat.com>
 
 	Backported from mainline
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 8898202f114..66d288eaddd 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,13 @@
+2020-05-25  Jason Merrill  <jason@redhat.com>
+
+	PR c++/90749
+	* g++.dg/cpp0x/nsdmi-template20.C: New file.
+
+2020-05-25  Jason Merrill  <jason@redhat.com>
+
+	PR c++/91529
+	* g++.dg/init/const14.C: New file.
+
 2020-05-21  Martin Liska  <mliska@suse.cz>
 
 	* gcc.target/aarch64/target_attr_20.c: New test.

